Query type
GET /collector/<collectorKey>/check/
Description
Returns detailed information for a specific type within a check. By supplying optional query parameters, you can expand the type's nested metrics (along with their data, format, and reference definitions) as well as incoming references (refs) from other metrics.
To inspect the parent check or the full collector, see their respective endpoints. If you only need to inspect a single metric within this type, see Query metric.
Path parameters
| Param | Description |
|---|---|
collectorKey |
Collector key. |
checkKey |
Check key. |
typeKey |
Type key. |
Query parameters
| Param | Default | Description |
|---|---|---|
fields |
all fields | Fields to return (see Fields below for all available fields). |
metrics |
none | Metric fields. If at least one field is given, the result will include "metrics" with an array of metric objects (see Metric api for all available metric fields). |
data |
none | Data fields. The result will include "data" with a data object (see Data api for all available data fields). |
format |
none | Format fields. The result will include "format" with a format object (see Format api for all available format fields). |
ref |
none | Ref type fields. The result will include "ref" with a ref object (see Ref api for all available ref fields). |
refs |
none | Ref fields. If at least one field is given, the result will include "refs" with an array of ref objects (see Refs below for all available ref fields). |
Fields
| Field | Return type | Description |
|---|---|---|
key |
string | Type key. |
name |
string | Type name. |
optional |
boolean | Whether this type is optional in the check result. When false, at least one item of this type is expected. |
single |
boolean | Whether this type must contain exactly one item (true) or allows multiple items (false) per check result. |
Refs
| Field | Return type | Description |
|---|---|---|
check |
string | Referenced check key. |
type |
string | Referenced type key. |
metric |
string | Referenced metric key. |
Return codes
| Error code | Reason |
|---|---|
200 |
Success. |
400 |
Unknown field. |
401 |
Invalid or missing token. |
403 |
Insufficient permissions (required: API+READ). |
404 |
Collector or check not found. |
Example
Curl request:
curl \
-X GET 'https://api.infrasonar.com/collector/http/check/http/type/http?fields=key,optional,single' \
-H 'Authorization: Bearer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
Response:
{
"key": "http",
"optional": false,
"single": true
}